<template>
    <header>
        <div class="mobile-fix-option"></div>
        <div class="top-header">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="header-contact">
                            <ul>
                                <li>Welcome to Muskans 100 gifts</li>
<!--                                <li><i class="fa fa-phone" aria-hidden="true">
                                </i>Call Us: 123 - 456 - 7890</li>-->
                            </ul>
                        </div>
                    </div>
                    <div class="col-lg-6 text-right">
                        <ul class="header-dropdown">
                            <li class="mobile-wishlist">
                                <a href="javascript:void(0)">
                                    <i class="fa fa-heart" aria-hidden="true"></i>
                                </a>
                            </li>
                            <li class="onhover-dropdown mobile-account">
                                <i class="fa fa-user-circle" aria-hidden="true"></i>
                                My Account
                                <ul class="onhover-show-div">
                                    <div v-if="currentUser.isLoggedIn==false">
                                        <li>
                                            <a href="/login" data-lng="en">Login</a>
                                        </li>
                                        <li>
                                            <a href="/register" data-lng="en">Register</a>
                                        </li>
                                    </div>
                                    <div v-if="currentUser.isLoggedIn==true">
                                        <li v-if="currentUser.user.role_id==3">
                                            <a href="/user/profile" data-lng="es">Profile</a>
                                        </li>
                                        <li v-if="currentUser.user.role_id==1">
                                            <a href="/admin/dashboard" data-lng="es">Dashboard</a>
                                        </li>
                                        <li>
                                            <a href="javascript:void(0)" @click="logout" data-lng="es">Logout</a>
                                        </li>
                                    </div>
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-sm-12">
                    <div class="main-menu">
                        <div class="menu-left">
                            <div class="brand-logo">
                                <a href="/" @click="pageLoader('homeComponent')">
                                    <img :src="logoName.logo"
                                         class="img-fluid blur-up lazyload" alt=""></a>
                            </div>
                        </div>
                        <div class="menu-right pull-right">
                            <div>
                                <nav id="main-nav">
                                    <div class="toggle-nav"><i class="fa fa-bars sidebar-bar"></i></div>
                                    <ul id="main-menu" class="sm pixelstrap sm-horizontal">
                                        <li>
                                            <div class="mobile-back text-right">Back
                                                <i class="fa fa-angle-right pl-2" aria-hidden="true"></i>
                                            </div>
                                        </li>
<!--                                        <li><a href="/">Home</a></li>-->
                                        <li class="mega" id="hover-cls">
                                            <a href="javascript:void(0)">All Categories</a>
                                            <ul class="mega-menu full-mega-menu">
                                                <li>
                                                    <div class="container">
                                                        <div class="row">
                                                            <div v-for="(category,key) in categories" :key="category.id" class="col mega-box">
                                                                <div class="link-section">
                                                                    <div class="menu-title">
                                                                        <h5>{{category.name}}</h5>
                                                                    </div>
                                                                    <div class="menu-content">
                                                                        <ul>
                                                                            <li v-for="(sub_cat,key2) in category.sub_categories" :key="key2">
                                                                                <a href="javascript:void(0);" @click="findByClick(0,category.id,sub_cat.id)">{{sub_cat.name}}</a>
                                                                            </li>
                                                                        </ul>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </li>
                                            </ul>
                                        </li>
                                        <template v-for="(category,key) in categories">
                                            <li class="mega hover-cls" :id="'hover-cls'">
                                                <a href="javascript:void(0)">{{category.name}}</a>
                                                <ul class="mega-menu full-mega-menu">
                                                    <li>
                                                        <div class="container">
                                                            <div class="row">
                                                                <div v-for="(sub_cat,key2) in category.sub_categories" class="col mega-box">
                                                                    <div class="link-section">
                                                                        <div class="menu-title">
                                                                            <h5>{{sub_cat.name}}</h5>
                                                                        </div>
                                                                        <div class="menu-content">
                                                                            <ul>
                                                                                <li v-for="(ss_cat,key3) in sub_cat.sub_sub_categories">
                                                                                    <a href="javascript:void(0);" @click="findByClick(1,sub_cat.id,ss_cat.id)">{{ss_cat.name}}</a>
                                                                                </li>
                                                                            </ul>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </li>
                                                </ul>
                                            </li>
                                        </template>
                                        <li>
                                            <a href="javascript:void(0)" @click="pageLoader('aboutUs')">About Us</a>
                                        </li>
                                    </ul>
                                </nav>
                            </div>
                            <div>
                                <div class="icon-nav">
                                    <ul>
                                        <li class="onhover-div mobile-setting">
                                            <div><img :src="'/assets/frontend/images/icon/setting.png'"
                                                      class="img-fluid blur-up lazyload" alt=""> <i
                                                class="fa fa-language"></i></div>
                                            <div class="show-div setting">
                                                <h6>language</h6>
                                                <ul>
                                                    <li><a href="javascript:void(0)">Bangla</a></li>
                                                    <li><a href="javascript:void(0)">English</a></li>
                                                </ul>
                                            </div>
                                        </li>
                                        <li class="onhover-div mobile-cart">
                                            <div onclick="openCart()" @click="cartUpdate">
                                                <img :src="'/assets/frontend/images/icon/cart.png'" class="img-fluid blur-up lazyload" alt="">
                                                <i class="fa fa-shopping-cart"></i>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!-- header end -->
</template>

<script>
    import {EventBus} from "./event-bus";
    import { mapGetters } from 'vuex'

    export default {
        props: {
            currentUser: {
                type: Object,
                required: true
            }
        },
        created() {
           this.$store.dispatch('getCategories');
        },
        methods:{
            cartUpdate(){
                EventBus.$emit('cartUpdate','nothing');
            },
            pageLoader(page){
                EventBus.$emit('pageLoader',page);
            },
            findByClick(status,category,sub_cat){
                let info={
                    'status':status,
                    'category':category,
                    'sub_category':sub_cat
                };
                EventBus.$emit('categoryLoader',info);
            },
            logout(){
                axios.post('/logout').then((response)=>{
                    window.location='/';
                });
            },
        },
        computed:{
            ...mapGetters([
                'categories',
                'logoName',
            ])
        }
    }
</script>
